# Generated by Django 4.1.9 on 2023-11-01 20:12

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("ims_installment", "0005_installment_day"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="installmentdueextension",
            name="user_approved",
        ),
        migrations.RemoveField(
            model_name="installmentdueextension",
            name="user_recorded",
        ),
        migrations.AlterField(
            model_name="installmentdueextension",
            name="subscription",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="ims_installment.installmentsubscription",
            ),
        ),
        migrations.AlterField(
            model_name="installmentsubscription",
            name="subscription_status",
            field=models.CharField(
                choices=[
                    ("ns", "not started"),
                    ("ac", "active"),
                    ("pu", "paused"),
                    ("mi", "migrated"),
                    ("ur", "unrecoverable"),
                    ("cl", "closed"),
                ],
                default="ns",
                max_length=2,
            ),
        ),
    ]
